﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Drawing;
using System.IO;

namespace DisplayASimpleMap
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
				Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
				Map1.CurrentExtent = new RectangleShape(-10608900, 4716556, -10604285, 4714110);
				Map1.MapUnit = GeographyUnit.Meter;

				BingMapsOverlay bingMapsOverlay = new BingMapsOverlay("WorldMapOverlay");
				bingMapsOverlay.MapType = BingMapsStyle.Road;

				bingMapsOverlay.IsVisible = false; //should hide on map create no???? But doesn't hide map for me.

				Label1.Text = bingMapsOverlay.IsVisible.ToString();

				Map1.CustomOverlays.Add(bingMapsOverlay);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
			BingMapsOverlay bingMapsOverlay = (BingMapsOverlay)Map1.CustomOverlays[0];
			bingMapsOverlay.IsVisible = !bingMapsOverlay.IsVisible; //Doesn't hide map too!
			Label1.Text = bingMapsOverlay.IsVisible.ToString();
		}

    }
}
